import { Base, IList$1, Type } from "igniteui-webcomponents-core";
import { ISpreadsheetEditInfo } from "./ISpreadsheetEditInfo";
import { WorkbookSerializationLoadCategories } from "./WorkbookSerializationLoadCategories";
import { WorkbookSerializationLoadOptions } from "./WorkbookSerializationLoadOptions";
import { IDataObject } from "igniteui-webcomponents-core";
import { Worksheet } from "igniteui-webcomponents-excel";
import { Workbook } from "igniteui-webcomponents-excel";
import { WorksheetRegionAddress } from "igniteui-webcomponents-excel";
import { LoadMathOperation } from "./LoadMathOperation";
import { WorkbookSerializationLoadError } from "./WorkbookSerializationLoadError";
/**
 * @hidden
 */
export declare class WorkbookDataObjectLoadContext extends Base implements ISpreadsheetEditInfo {
    static $t: Type;
    private n;
    private c;
    constructor(a: Workbook, b: IDataObject, c: WorkbookSerializationLoadOptions);
    get b(): WorkbookSerializationLoadCategories;
    get o(): IDataObject;
    set o(a: IDataObject);
    k: string;
    get f(): boolean;
    get a(): LoadMathOperation;
    get g(): boolean;
    private _workbook;
    get workbook(): Workbook;
    set workbook(a: Workbook);
    j(a: string): any;
    l(a: string): string;
    e(a: string): boolean;
    m(a: WorkbookSerializationLoadError): void;
    h(a: number): boolean;
    i(a: IList$1<Worksheet>, b: IList$1<WorksheetRegionAddress>, c: boolean): boolean;
    get isFixedDecimalEnabled(): boolean;
    get fixedDecimalPlaceCount(): number;
}
